Gem::Specification.new do |spec|
  spec.name          = "lita-meetup-finder"
  spec.version       = "1.0.0"
  spec.authors       = ["Daniel J. Pritchett"]
  spec.email         = ["dpritchett@gmail.com"]
  spec.description   = "Ask your Lita chatbot to find relevant meetups in your area"
  spec.summary       = "Help Lita query the Meetup.com API for local meetups"
  spec.homepage      = "https://github.com/dpritchett/lita-meetup-finder"
  spec.license       = "MIT"
  spec.metadata      = { "lita_plugin_type" => "handler" }

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "lita", ">= 4.7"
  # START:client
  spec.add_runtime_dependency 'meetup_client', '~> 1.0'
  # END:client

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "pry-byebug"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rack-test"
  spec.add_development_dependency "rspec", ">= 3.0.0"
  # START:webmock
  spec.add_development_dependency 'webmock', '~> 3.3'
  # END:webmock
end
